Description

When dcmodify is used to modify a DICOMDIR file, the created output file uses the DCMTK-specific private SOP Class in the File
Meta Information (meta header) instead of the original Media Storage Directory Storage SOP Class (associated with the Basic
Directory IOD).

This is because the meta header is always created from scratch and the SOP Class UID cannot be copied from the DICOM dataset
because there is none. With option --no-meta-uid (-nmu) this could probably be prevented, but it is unexpected nevertheless. By
default, a DICOMDIR file should stay a DICOMDIR file (with the associated Media Storage SOP Class UID).

A similar problem exists with dcmconv: by default, a new meta header is created (option --write-new-meta-info / +Fm is set) and the
Media Storage SOP Class UID is replaced. Using option --write-file (+F) should change this, but it is again unexpected...

History

#1 - 2025-01-23 14:10 - JO6rg Riesmeier

- Subject changed from demodify changes SOP Class UID when writing a DICOMDIR file to demodify and decmconv change SOP Class UID when
writing a DICOMDIR file

#2 - 2025-08-18 16:36 - Marco Eichelberg

- Status changed from New to Closed

- Assignee changed from Michael Onken to Marco Eichelberg
- % Done changed from 0 to 100

- Estimated time set to 2:00 h

Closed by commit #47e298d9b.
